.auth {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100vh;
}

.auth a {
    color: #006AFE;
}

.auth .auth-picture {
    position: relative;
    width: 43.6%;
}

.auth .auth-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.auth .picture-content {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    padding-top: 40px;
    padding-bottom: 40px;
}

.auth .picture-content span {
    font-size: 20px;
    line-height: 22px;
    font-weight: 600;
    color: white;
    text-align: center;
    width: 400px;
}

.auth .auth-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 56.4%;
    padding-top: 56px;
    padding-bottom: 40px;
    padding-left: 80px;
    padding-right: 80px;
}

.auth .content-back {
    width: max-content;
    margin-bottom: 28px;
}

.auth .auth-content h1 {
    font-size: 36px;
    line-height: 38px;
    font-weight: 700;
    color: #1F2026;
}

.auth .auth-content h2 {
    font-size: 20px;
    line-height: 22px;
    font-weight: 600;
    color: #1F2026;
    margin-top: 48px;
}

.auth .auth-content h2.content-step {
    color: #787E96;
    margin-top: 0;
    margin-bottom: 28px;
}

.auth .auth-content p {
    font-size: 16px;
    line-height: 18px;
    font-weight: 600;
    color: #787E96;
    margin-top: 8px;
}

.auth .auth-content form {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    margin-top: 40px;
}

.auth .form-group {
    width: 100%;
}

.auth .form-group:not(:last-of-type) {
    margin-bottom: 20px;
}

.auth .form-group.form-group__checkbox {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    margin-bottom: 0;
}

.auth .form-group label {
    display: block;
    font-size: 20px;
    line-height: 22px;
    font-weight: 600;
    color: #1F2026;
    width: 100%;
    margin-bottom: 12px;
}

.auth .form-group.form-group__checkbox label {
    font-size: 14px;
    line-height: 16px;
    font-weight: 500;
    color: #1F2026;
    margin-bottom: 0;
}

.auth .group-field {
    position: relative;
}

.auth .group-field .toggle-password {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translate(0, -50%);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 18px;
    cursor: pointer;
    user-select: none;
}

.auth .group-field .toggle-password svg {
    height: 100%;
    width: 100%;
}   

.auth .group-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.auth .field-back {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
    cursor: pointer;
    user-select: none;
}

.auth .field-back span { 
    margin: 0 !important;
}

.auth .field-title {
    font-size: 18px !important;
    line-height: 20px !important;
    font-weight: 600 !important;
    color: #1F2026 !important;
    margin-bottom: 8px !important;
}

.auth .form-group input {
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    color: #1F2026;
    width: 100%;
    height: 38px;
    background-color: #F5F6FA;
    border-radius: 12px;
    padding-left: 16px;
}

.auth .form-group input:user-invalid,
.auth .form-group input.invalid {
    background-color: #FFE5EA;
}

.auth .form-group a,
.auth .form-group span {
    display: block;
}

.auth .form-group a {
    margin-top: 14px;
}

.auth .form-group span {
    margin-top: 12px;
}

.auth .form-group .checkbox-custom {
    position: relative;
    display: flex;
    align-items: center;
    gap: 8px;
    width: max-content;
    cursor: pointer;
}

.auth .form-group .checkbox-custom .custom-box {
    position: relative;
    width: 16px;
    height: 16px;
    border-radius: 4px;
    background-color: #EAECF4;
    position: relative;
    margin: 0;
}

.auth .form-group .checkbox-custom .custom-box svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
    width: 10px;
    height: 10px;
}

.auth .form-group .checkbox-custom input {
    position: absolute;
    top: 0;
    left: 0;
    width: 14px;
    height: 14px;
    opacity: 0;
    user-select: none;
}

.auth .form-group .checkbox-custom input:checked + .custom-box {
    background-color: #006AFE;
}

.auth .form-group .checkbox-custom input:checked + .custom-box svg {
    display: block;
}

.auth .form-group .field-check {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translate(0, -50%);
    display: none;
    width: 20px;
    height: 20px;
}

.auth .form-group .group-field:not(.without-validation) input.with-success:valid + .field-check {
    display: block;
}

.auth .form-group .group-field:not(.without-validation) input.with-success:valid {
    border: 2px solid #2DB392;
}

.auth .form-group span {
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    color: #787E96;
}

.auth .form-group .text-danger {
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    color: #FF4B69;
    width: 100%;
}

.auth .group-options {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
}

.auth .group-options input {
    display: none;
}

.auth .options-item {
    font-size: 16px;
    line-height: 18px;
    font-weight: 500;
    color: #1F2026;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 40px;
    border-radius: 16px;
    background-color: #CFD3E5;
}

.auth .group-tabs {
    display: flex;
    flex-direction: row;
    gap: 40px;
    margin-top: 20px;
}

.auth .tabs-header {
    display: flex;
    flex-direction: column;
    gap: 2px;
    min-width: 142px;
}

.auth .tab-button {
    font-size: 13px;
    line-height: 14px;
    font-weight: 500;
    color: #515565;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: left;
    width: 100%;
    height: 28px;
    padding-left: 16px;
    padding-right: 16px;
    cursor: pointer;
}

.auth .tab-button.active {
    color: white;
    border-radius: 8px;
    background-color: #006AFE;
}

.auth .tabs-content {
    width: 100%;
}

.auth .tab-panel {
    display: none;
}

.auth .tab-panel.active {
    display: block;
}

.auth .panel-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
}

.auth .panel-grid label {
    width: unset;
    margin-bottom: 0;
}

.auth .panel-grid input {
    display: none;
}

.auth .panel-grid input:checked + .grid-item,
.auth .group-options input:checked + .options-item {
    color: white;
    background-color: #006AFE;
}

.auth .panel-grid input:checked + .grid-item span {
    color: white;
}

.auth .panel-grid input:checked + .grid-item .grid-icon {
    background-color: #E9F2FF;
    border-radius: 8px;
}

.auth .panel-grid input:checked + .grid-item .grid-icon path {
    fill: #006AFE;
}

.auth .grid-item {
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    color: #1F2026;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    height: 44px;
    border-radius: 12px;
    background-color: #F5F6FA;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 4px;
    cursor: pointer;
}

.auth .grid-item span {
    color: #1F2026;
    margin-top: 0 !important;
}

.auth .grid-icon {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 34px;
    background-color: white;
    border-radius: 12px;
}

.auth .form-control {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: auto;
    margin-bottom: 34px;
}

.auth .form-control button {
    font-size: 16px;
    line-height: 18px;
    font-weight: 600;
    color: white;
    width: 100%;
    height: 46px;
    border-radius: 16px;
    background-color: #006AFE;
}

.auth .form-control a {
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    color: #006AFE;
}

.auth .control-group {
    display: flex;
    flex-direction: column;
    gap: 4px;
    width: 100%;
    margin-bottom: 10px;
}

.auth .content-company {
    font-size: 16px;
    line-height: 18px;
    font-weight: 600;
    color: #515565;
    display: block;
    margin-top: auto;
}



@media(max-width: 1400px) {
    .auth .content-back {
        margin-bottom: 24px;
    }

    .auth .content-back svg {
        width: 22px;
        min-width: 22px;
        height: 22px;
    }

    .auth .auth-content h1 {
        font-size: 34px;
        line-height: 36px;
    }

    .auth .auth-content h2 {
        font-size: 18px;
        line-height: 20px;
        margin-top: 36px;
    }

    .auth .auth-content h2.content-step {
        margin-bottom: 24px;
    }

    .auth .auth-content p {
        font-size: 14px;
        line-height: 16px;
        margin-top: 4px;
    }

    .auth .auth-content form {
        margin-top: 36px;
    }

    .auth .form-group label {
        font-size: 18px;
        line-height: 20px;
        margin-bottom: 8px;
    }

    .auth .form-group input {
        font-size: 12px;
        line-height: 14px;
        font-weight: 500;
        height: 32px;
        padding-left: 12px;
    }

    .auth .form-group span {
        font-size: 12px;
        line-height: 14px;
        margin-top: 8px;
    }

    .auth .form-group.form-group__checkbox label {
        font-size: 12px;
        line-height: 14px;
    }

    .auth .form-group .field-check {
        width: 14px;
        height: 14px;
    }

    .auth .group-field .toggle-password {
        width: 14px;
        height: 14px;
    }

    .auth .form-control {
        margin-bottom: 20px;
    }

    .auth .form-control button {
        font-size: 14px;
        line-height: 16px;
        height: 38px;
    }

    .auth .form-control a {
        font-size: 12px;
        line-height: 14px;
        font-weight: 400;
    }

    .auth .content-company {
        font-size: 14px;
        line-height: 16px;
    }

    .auth .options-item {
        font-size: 12px;
        line-height: 14px;
        font-weight: 600;
        height: 32px;
        border-radius: 12px;
    }

    .auth .group-tabs {
        margin-top: 16px;
    }

    .auth .tabs-header {
        gap: 0;
    }

    .auth .tab-button {
        font-size: 10px;
        line-height: 12px;
        height: 24px;
    }

    .auth .tab-button.active {
        border-radius: 12px;
    }

    .auth .grid-item {
        font-size: 12px;
        line-height: 14px;
        height: 38px;
        padding: 4px;
    }

    .auth .grid-icon {
        width: 30px;
        height: 30px;
    }

    .auth .grid-icon svg {
        width: 16px;
        height: 16px;
        min-width: 16px;
    }

    .auth .panel-grid input:checked + .grid-item .grid-icon {
        border-radius: 12px;
    }
}